package org.jeecg.modules.apiService;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.apiBean.PageBean;

public interface ConfigService {

    /**
     * 帮助中心
     * @return
     */
    public Result<?> helpInfo();

    /**
     * 隐私条例
     * @return
     */
    public Result<?> privacyInfo();

    /**
     * 查询用户角色配置信息
     * @return
     */
    public Result<?> userRoleInfo(PageBean pageBean);

    /**
     * 查询工单状态配置
     * @return
     */
    public Result<?> templateStatusInfo(PageBean pageBean);

    /**
     * 查询工序信息配置
     * @return
     */
    public Result<?> stepInfo(PageBean pageBean);

    /**
     * 查询工序流程配置
     * @return
     */
    public Result<?> processInfo(PageBean pageBean);

    /**
     * 查询检查项目配置
     * @return
     */
    public Result<?> itemCheckInfo(PageBean pageBean);

}
